﻿=== Translate Multilingual sites - TranslatePress ===
Contributors: cozmoslabs, razvan.mo, madalin.ungureanu, sareiodata, cristophor
Donate link: https://www.translatepress.com/
Tags: translate, translation, multilingual, automatic translation, bilingual, front-end translation, google translate, language
Requires at least: 3.1.0
Tested up to: 5.7.1
Requires PHP: 5.6.20
Stable tag: 2.0.0
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

Translate your entire site directly from the front-end and go multilingual, with full support for WooCommerce and page builders + Google Translate integration.
 
== Description ==

**Experience a better way to translate your WordPress site and go multilingual, directly from the front-end using a visual translation interface.**

TranslatePress is a [WordPress translation plugin](https://translatepress.com/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) that anyone can use.

The interface allows you to easily translate the entire page at once, including output from shortcodes, forms and page builders. It also works out of the box with WooCommerce.

Built the WordPress way, TranslatePress - Multilingual is a GPL and self hosted translation plugin, meaning you'll own all your translations, forever. It's the fastest way to create a bilingual or [multilingual site](https://translatepress.com/how-to-create-a-multilingual-wordpress-site/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree).

https://www.youtube.com/watch?v=pUlYisvBm8g

== Multilingual & Translation Features ==

* Translate all your website content directly from the front-end, in a friendly user interface (translations are displayed in real-time).
* Fully compatible with all themes and plugins
* Live preview of your translated pages, as you edit them.
* [Image translation](https://translatepress.com/docs/image-translation/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) support, for [translating images, sliders and other media](https://translatepress.com/translate-images-in-wordpress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree).
* Support for both manual and automatic translation
* Ability to [translate dynamic strings](https://translatepress.com/translate-dynamic-strings-wordpress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) (gettext) added by WordPress, plugins and themes.
* Integrates with Google Translate, allowing you to set up Automatic Translation using your own Google API key.
* Translate larger html blocks by merging strings into translation blocks.
* Place language switchers anywhere using shortcode **[language-switcher]**, WP menu item or as a floating dropdown.
* Editorial control allowing you to publish your language only when all your translations are done
* Conditional display content shortcode based on language [trp_language language="en_US"] English content only [/trp_language]
* Possibility to [edit gettext strings](https://translatepress.com/edit-plugin-strings/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) from themes and plugins from English to English, without adding another language. Basically a string-replace functionality.
* Translate only certain paths and [exclude content from being translated](https://translatepress.com/partially-translate-wordpress-exclude-posts-pages-products/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)
* Translation Block feature in which you can translate multiple html elements together
* Native **Gutenberg** support, so you can easily [translate Gutenberg blocks](https://translatepress.com/translate-gutenberg-blocks-in-wordpress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)
* Out of the box [WooCommerce](https://translatepress.com/translate-woocommerce-products-translatepress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) compatibility

Note: this plugin uses the Google Translation API to translate the strings on your site. This feature can be enabled or disabled according to your preferences.

Users with administrator rights have access to the following settings:

* select default language of the website and one translation language, for bilingual sites
* choose whether language switcher should display languages in their native names or English name
* force custom links to open in current language
* enable or disable url subdirectory for the default language
* enable automatic translation via Google Translate

== Powerful Translation Add-ons ==

TranslatePress - Multilingual has a range of [premium Add-ons](https://translatepress.com/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) that allow you to extend the power of this WordPress translation plugin:

**Pro Add-ons** (available in the [premium versions](https://translatepress.com/pricing/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) only)

* [Extra Languages](https://translatepress.com/docs/addons/multiple-languages/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - allows you to add an unlimited number of translation languages, with the possibility to publish languages later after you complete the translation
* [SEO Pack](https://translatepress.com/docs/addons/seo-pack/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - lets you translate meta information (like page title, description, url slug, image alt tag, Twitter and Facebook Social Graph tags & more) for boosting your multilingual SEO and increase traffic. Works with all popular SEO plugins.
* [Translator Accounts](https://translatepress.com/docs/addons/translator-accounts/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - create or allow existing users to translate the site without admin rights
* [Browse as User Role](https://translatepress.com/docs/addons/browse-as-role/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - view and translate content that is visible only to a particular user role
* [Navigation Based on Language](https://translatepress.com/docs/addons/navigate-based-language/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - configure and display different menu items for different languages
* [Automatic User Language Detection](https://translatepress.com/docs/addons/automatic-user-language-detection/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - redirect first time visitors to their preferred language based on their browser settings or IP address
* [DeepL Automatic Translation](https://translatepress.com/docs/addons/deepl-automatic-translation/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree) - The DeepL Automatic Translation add-on lets you automatically translate your website through the DeepL API

**Keyboard Shortcuts**

* **CTRL ( ⌘ ) + S** – Save translation for the currently editing strings
* **CTRL ( ⌘ ) + ALT + Z** – Discard all changes for the currently editing strings
* **CTRL ( ⌘ ) + ALT + →** (Right Arrow) – Navigate to next string
* **CTRL ( ⌘ ) + ALT + ←** (Left Arrow) – Navigate to previous string

= Website =

[translatepress.com](https://translatepress.com/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)

= Documentation =

[Visit TranslatePress WordPress Translation plugin documentation page](https://translatepress.com/docs/translatepress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)

= Add-ons =

[Add-ons](https://translatepress.com/docs/translatepress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)

= Demo Site =

You can test out TranslatePress - Multilingual plugin by [visiting our demo site](https://demo.translatepress.com/)

== Installation ==

1. Upload the translatepress folder to the '/wp-content/plugins/' directory
2. Activate the plugin through the 'Plugins' menu in WordPress
3. Go to Settings -> TranslatePress and choose a translation language.
4. Open the front-end translation editor from the admin bar to translate your site.

== Frequently Asked Questions ==

= Where are my translations stored? =

All the translation are stored locally in your server's database.

= What types of content can I translate? =

TranslatePress - Multilingual plugin works out of the box with WooCommerce, custom post types, complex themes and site builders, so you'll be able to translate any type of content.

= How is it different from other multilingual & translation plugins like WPML or Polylang? =

TranslatePress is easier to use and more intuitive altogether. No more switching between the editor, string translation interfaces or badly translated plugins. You can now translate the full page content directly from the front-end. This makes TranslatePress a great alternative to plugins like Polylang and WPML.

= How do I start to translate my WordPress site? =

After installing the plugin, select your secondary language and click "Translate Site" to start translating your entire site exactly as it looks in the front-end.

= Will it slow down my website? =

TranslatePress will have little impact on your site speed. For more details see [Top WordPress Translation Plugins Compared Based on Page Load Time](https://translatepress.com/top-wordpress-translation-plugins-compared-based-on-page-load-time/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree)

= Can you translate your WooCommerce store? =

Yes, TranslatePress works out of the box with WooCommerce. You can use to build a [multilingual WooCommerce store](https://translatepress.com/translate-woocommerce-products-translatepress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree).

= Where can I find out more information? =

For more information please check out our [documentation](https://translatepress.com/docs/translatepress/?utm_source=wp.org&utm_medium=tp-description-page&utm_campaign=TPFree).


== Screenshots ==
1. TranslatePress front-end visual translation editor in action
2. Front-end translation editor used to translate the entire page content
3. How to translate a dynamic string (gettext)
4. Translating WooCommerce Products for your multilingual store
5. Translate Images and Image Sliders
6. Settings Page
7. Floating Language Switcher
8. Menu Language Switcher


== Changelog ==
= 2.0.0 =
* Improved compatibility with WPBakery Page Builder and Wpresidence
* Improved compatibility with integrations by initializing machine translator earlier
* License key in TP settings is hidden now
* Added filter trp_apply_gettext_early
* Fixed high loading time when WP_DEBUG was set to true

= 1.9.9 =
* Forcing a slash at the end of home url is now an optional Advanced setting
* Better handling of WPEngine long query limiting
* Fixed some cases of adding language slugs to file paths
* Fixed unprefixed DOM library constant
* Fixed a notice coming from the Do not translate paths option

= 1.9.8 =
* Added compatibility with Google Site Kit plugin
* Added compatibility with Ivory Search plugin and possibly others
* Added visual feedback for inserting correct Automatic Translation API key
* Added hooks when saving translations in Editor
* Fixed notice in trp-ajax file

= 1.9.7 =
* Compatibility with Woocommerce Product Search plugin
* Fixed some cases where JSON was broken in translated pages
* Fixed issue with links containing translated taxonomy due to special characters
* Fixed SQL errors in Slug Translation interface.
* Fixed some cases with links on translated pages incorrectly pointing to the current page
* Add filter for is_admin_link so plugins that hide the admin can work
* Minor improvements to Slug Translation UI.

= 1.9.6 =
* Adding missing Uruguay flag
* Improved security for dynamic translations
* Disable automatic language redirect when editing a page with Oxygen or Beaver Builder
* Fixed cases of missing table sql errors
* Fixed sql error for some MariaDB setups due to deprecated syntax
* Fixed some issues with Exclude certain paths functionality.

= 1.9.5 =
* Added setting that allows you to translate only certain paths or exclude certain paths from being translated.
* Fixed some cases where GET parameters were lost from links in translated languages
* WP Bakery integration that allow to include/exclude blocks for languages
* Added a compatibility for the MyListing theme.
* Load unsupported languages section only if an API key is saved.
* Add support for AIO SEO sitemap detection

= 1.9.4 =
* Updated DOM parser to version 1.9.1, this should fix a bunch of broken HTML issues
* Fixed a case in Woocommerce where slugs weren't translated from the seo-pack addon
* Fixed share link in Elementor blockquote Tweet button
* Fixed a possible issue with the search parameter being un-slashed

= 1.9.3 =
* Compatibility with WooCommerce Min/Max Quantities plugin that added an attribute data-quantity two times on a link
* Added compatibility with Business Directory Plugin that was throwing 404
* Fixed some cases of unnecessary calls to automatic translation API-s

= 1.9.2 =
* Fixed Norwegian language not working with Google Automatic Translation
* Fixed loading localization text-domain in different language than expected.
* Fixed gettext strings in incorrect language.
* Fixed WooCommerce country and states translations.

= 1.9.1 =
* Fixing issue with WooCommerce slugs resulting in 404 if they were changed manually from the defaults in certain cases
* Added a new cleanup option in settings
* Fixed some issues with extra characters appearing on translated languages in certain conditions
* Always load Beaver Builder in default language.

= 1.9.0 =
* Fixed some cases of multiple requests for finding out supported languages for automatic translation

= 1.8.9 =
* Fixing search in xStore theme ajax search
* Fix edge cases of translation misalignment that caused some strings not to be translated and generated some notices
* Fix some cases of displaying uppercase trp-gettext wrappers
* Better handling of unsupported languages by automatic translation engine

= 1.8.8 =
* Improved compatibility with Oxygen builder.
* Fixed a issue with pagination on blog page displaying page 0

= 1.8.7 =
* Added region independent languages in hreflang meta tags
* Fixed JS error in Translation Editor for some type of anchor tags.
* Compatibility with WooCommerce myPOS gateway. Improved PayPal IPN handling in WooCommerce.
* Fixed issue with string in textarea being detected by our translation editor.
* We now keep pagination when changing languages on the blog page.
* Fixed a compatibility with xStore theme ajax search not appearing on other languages than english
* Fixed an issue with Woocommerce links in language switcher
* Compatibility with Woocommerce pdf Voucher plugin
* Fixed an issue with archive pages pagination for terms with translated slugs
* We now exclude some gettext strings from being translated that cause problems

= 1.8.6 =
* Added optional "Powered by TranslatePress" in the floater language switcher. Would help us out a lot if you would enable this option in the settings. Thank You!
* Added a compatibility with Brizy Pro menu element
* Add current-menu-item CSS class to menus on translation languages
* Remove unused Delete command from String Translation
* Added compatibility with woocommerce-ultimate-pdf-invoices plugin
* Added compatibility with Uncode Theme menu on mobile
* Fix the infinite redirect when using subfolder for default language with the default WP 5.5 sitemap.

= 1.8.5 =
* Improved SEO by making language switcher links crawlable
* Fixed Internal links issue with Use a Subdirectory for the default language enabled
* Added Elementor twitter button translation compatibility
* Added Elementor blockquote tweet button translation compatibility
* Added support for  PDF Embedder Premium Secure plugin
* Fixed a compatibility issue with Thrive theme
* Fixed a problem with Woocommerce order notes not being added on other languages
* Fixed a PHP warning
* Fixed issue where Oxigen repeater links were empty in the translated page

= 1.8.4 =
* Fixed Slug Translation in SEO Addon not being able to translate anything due to js error related to flags

= 1.8.3 =
* Added possibility to add custom languages
* Fixed Woocommerce issues with cart on certain settings
* Fixed some cases where translation blocks were not being created.
* Deactivated languages will only be accessible by admin or translator
* Compatibility with AddToAny Share buttons
* Compatibility with Classified listing search in translated languages
* Adjusted order of languages in floating language switcher according to position top or bottom
* Fixed some issues with automatic translation usage

= 1.8.2 =
* Added compatibility with RECON gateway for WooCommerce
* Hooked changing locale to a higher priority. Fixes conflict with Divi theme
* Fix WooCommerce remove from cart action for certain languages

= 1.8.1 =
* Fixed a problem with sitemap categories not being displayed correctly in Yoast SEO
* Changed a redirect status from 302 to 301 in certain cases
* Added support for Advanced WooCommerce Search

= 1.8.0 =
* Fixed a compatibility issue with Thrive Architect plugin
* Fix compatibility with Woo Product Filter plugin
* Added compatibility with Oxygen Builder for search
* Fixed canonical links that were generated incorrectly in some cases
* Fix issue with hreflang incorrectly being detected due to clearing the ?trp parameter from the url when processing it

= 1.7.9 =
* Fix for various 404 page results
* Fixed flag spacing in RTL languages
* Added "Full Language Names No HTML" option to language menu
* Added possibility to change date format by language
* Oxygen plugin stylesheet loading time improvement
* Compatibility with Brizy's editor
* Added filter to allow https adjustments
* Improved searching on certain pages

= 1.7.8 =
* Added possibility to exclude hreflang from an original URL
* Fixed translating json inside json. It ensures compatibility with Brizy
* Fixed http 500 response in trp-ajax calls

= 1.7.7 =
* Added option to enable translation of numerals
* Added capability to translate special URLs like tel, callto or mailto
* Added support for translating oembed response data
* Fixed some CSS issues on Safari

= 1.7.6 =
* Added a help wizard for the Visual Editor
* Added Puerto Rico flag
* Fixed issue with custom links on term archive pages where the term had a translated slug
* Added a recommended plugins section on the addons tab.
* Fixed a display issues in Strings interface for Safari

= 1.7.5 =
* Dix incorrect opengraph url in Yoast SEO that caused fatal error with older versions
* Fix for blog page url slug translation
* Fix problem with updating Translator Accounts Add-on
* Fix incorrect number of parameters in wpseo_canonical filter

= 1.7.4 =
* Fix fatal error with get_the_date filter due to other plugins calling incorrect params
* Fix issue with identical string in multiple places not showing all related strings
* Fixed Next and Previous buttons not working in the interface
* Fixed Yoast SEO canonical contain the correct language
* Fixed info icons too large before css loading
* Added compatibility with Superfly menu
* Add locale to user on user register and ignore a gettext string from WordPress and WooCommerce that added trpstr strings in the database
* Fix compatibility with Dflip plugin and Elementor Editor when a secondary language is the first one displayed

= 1.7.3 =
* Fixed an error when WooCommerce is active and you access a term link that does not exist
* Added compatibility with SEO Pack version 1.2.4 or older
* Added compatibility with Affiliate Theme filters

= 1.7.2 =
* Implemented mechanics to remove duplicate entries in the database
* Fixed issue with automatic translation time-outs on large pages
* Fixed an issue with escaped links in json responses from WooCommerce
* Fixed an issue with links inside gettext

= 1.7.1 =
* Fixed issue with gettext when default language is different from WordPress default language
* Fixed Monthly/Yearly archives showing incorrect month/year
* Added message to activate Extra languages add-on when trying to add a new language.

= 1.7.0 =
* Fixed compatibility issue with JetPack plugin in some cases
* Fixed JS undefined controls error for some setups
* Fixed translation memory not working properly for gettext in attributes
* Added support for Dublin Core meta-data
* Added support to ignore Elementor encoded url for popup action
* Improved queries for the database upgrade process

= 1.6.9 =
* Fixed a conflict with Contact Form 7 plugin
* Fixed some broken html issues caused by a custom trp wrap. Some Revolution Slider plugin issues are fixed by this.
* Optimized some queries regarding search indexing to fix some performance problems. It should help with some Revolution Slider plugin performance issues.
* Fixed an issue with textarea in Advanced Options
* Exclude links from "Force language in custom links" by adding their selector in Settings -> Advanced -> Exclude selectors from translation
* Fixed force custom links in default language when add-subdirectory is set to yes and default language is not first language
* Better handling of href links with spaces

= 1.6.8 =
* Added support for All In One SEO
* Added compatibility with Peepso double slashing translated links
* Add option in Advanced tab to disable translated links in sitemap
* Add options to disable post container tags in Advanced Tab.
* Organize Advanced Tabs by categories.
* Fix an error regarding the settings class in class-languages.php
* Fixed a filter in the trp_curpageurl() function
* Fix fatal error thrown when trying to access the global while it's null in some cases
* Fixed x-default from advanced not working as expected

= 1.6.7 =
* Improved the database update queries
* Fixed an error in mysql regarding post_parent_id meta insert if no id was found
* Added Rank Math support
* Added SEO Press support
* We now remove the trp-post-container before displaying the site
* Removed Get add-on from add-ons page
* Refactor support for SEO sitemaps so we don't add the language to their URL's

= 1.6.6 =
* Implemented Search functionality in translated languages
* Added support for WooCommerce product search in translated languages
* Skip dynamic strings detection of ad links
* Added filters for adjusting gettext machine translation

= 1.6.5 =
* Fixed Exclude words from automatic translation when many excluded words are added
* Compatibility with WooCommerce Fondy payment gateway
* Added filter to allow disabling of error manager
* Fixed a bug where you couldn't deactivate a license to add a new one

= 1.6.4 =
* Added a conditional Elementor block for language.
* Fixed Google Translate breaking some characters such as & #8220;
* Improvements to error handling
* Fixed a js error

= 1.6.3 =
* Fixed bug not being able to disable block crawlers option
* Improved UI on settings navigation tab
* Added extra information about how Deepl usage is paid

= 1.6.2 =
* Fixed admin-bar appearing in translation editor
* Nextgen plugin compatibility fix
* Fixed a notice index translation-engine not set.
* Refactored upgrading settings.
* Solved issue with notifications shown in all backend that couldn't be dismissed
* Added ability to detect if table is missing during requests. Show admin notice on all pages.
* Updated License message and Automatic Translation description
* Created notifications and error page. Disabled machine translations upon error.

= 1.6.1 =
* Added support for hreflang x-default in Advanced Settings
* Improved checking if quota exceeded on google machine translation for each batch
* Fix a fatal error due to incorrect call to the_title filter made by some themes
* Fixed automatic translation character count not resetting daily
* Fixed possible incompatibility between trp_language shortcode and automatic translation

= 1.6.0 =
* Gettext is no longer processed in REST API requests made from admin referer.
* Don't update gettext machine translation with empty translation.
* Fixed machine translation codes not being set on first save settings
* Solved backwards compatibility with Deepl Add-on version 1.0.0
* We now don't translate gettext into English.
* Fix: make sure we are not sending gettext non-unique array strings to Automatic Translation
* Fix: Add default translation engine if not available.
* Fix: hide Test API key button when machine translation is disabled or when there's not API key saved.

= 1.5.9 =
* Add an option to block crawlers from triggering automatic translations
* Added support for excluding words from automatic translation
* Compatibility with WooCommerce Checkout Add-Ons plugin
* Improved integration with WooCommerce PDF Invoices & Packing Slips by translating product name and options in invoices
* Removed possible trp-wrap tags ending up in front-end content
* Improved display of license error messages
* Corrected and added missing flags for 7 languages
* Eliminate need for jQuery in language switcher shortcode
* Fixed issue with translating admin ajax JSON strings
* Fixed issue with <text> html tags breaking HTML
* Fixed warning in when saving advanced settings
* Fixed trpst characters in WooCommerce shipping calculator
* Fixed getting translations on fallback admin-ajax
* New integration with Deepl API Automatic translation in PRO versions

= 1.5.8 =
* Added machine translation limit
* Added setting for translation memory limit
* Fixed encoding for the "Fix broken html feature"
* Fixed CSS for translation button in TP Editor
* Fixed disabling dynamic translation in translation editor when it is disabled from Advanced option

= 1.5.7 =
* Modified an autoloader to prevent errors when manually updating the plugin

= 1.5.6 =
* Improved speed on Gettext exclusion
* Make Gettext exclusion work without a domain in Advanced Settings
* Allow po/mo localization files to translate excluded Gettext strings
* Added Advanced setting to Exclude selectors from translation
* Added option to change floating language switcher position
* Added compatibility with CartFlows plugin
* Added compatibility with NextGen plugin
* Added compatibility with Ninja Popups plugin mails
* Added compatibility with Woo Tours plugin
* Fixed issue with trp-gettext wrappings in WooCommerce REST API
* Fixed issue with translating images run through JetPack CDN
* Fixed edge case where gettext inside script tag attributes was breaking html
* Translated title of product in WooCommerce "Product has been added to cart" message
* Better handling of string overdetection in dynamic string translation
* Better handling of sql errors and machine translation
* Fixed WooCommerce Product Translation on Cart Page for products with hyphen in their names

= 1.5.5 =
* Fixed warnings regarding settings that appeared on fresh installs

= 1.5.4 =
* Added Translation Memory feature
* Beaver Builder compatibility
* Fixed isseu with gettext special characters inside attributes breaking html sometimes
* Fixed an issue with urls slugs not being translated in site-map for secondary languages if "Use subdirectory on default language" was on
* Added support for display attribute for language-switcher shortcode

= 1.5.3 =
* Fixed blank page when opening Translation Editor in some localized languages

= 1.5.2 =
* Added -Advanced- tab with various custom settings
* Added compatibility to allow translating SeedProd plugin Coming Soon page

= 1.5.1 =
* Added maximum possible size to srcset for translated images
* Added compatibility with Query Monitor plugin
* Better handling of licenses when pro addons are active
* Improved descriptions in settings page and other places
* Added filter to allow translation of href as an exception
* Fixed translation blocks not working on live in some edge cases
* Fixed translation block created in secondary language not working when strings were already translated
* Fixed JS error when dynamic translation is disabled by filter
* Fixed translating dynamic strings in Editor when viewing as Logged out
* Fixed page titles containing special characters not being translated
* Fixed title attribute not being translated
* Fixed certain custom WooCommerce permalinks not working on translated products
* Fixed pencil icon not showing for WooCommerce product images in Shop page on certain themes
* Fixed modifying wp_mail headers when we didn't have to

= 1.5.0 =
* Fixed some dynamic images not showing up in translated pages.

= 1.4.9 =
* Fixed incompatibility with custom code for changing flags
* Fixed some pages not being translated due to incorrectly encoded character
* Fixed some images missing when automatic translation is on

= 1.4.8 =
* Added support for translating images
* Added support for translating title attribute
* Added support for translating href pointing to internal files and href pointing to any external links
* Added support for translating attributes modified dynamically through JS
* Added support for translating multiple attributes on the same node
* Added support for translating nodes containing mixt of gettext and user-inputted strings
* Added notification and disabled TP for servers not running minimum PHP version 5.6.20
* Refactored and improved Translation Editor user interface
* Added Keyboard shortcuts: CTRL + S (save), CTRL + ALT + Z (discard all changes), CTRL + ALT + LEFT (previous string), CTRL + ALT + RIGHT (next string)
* Fixed issues with translation blocks not working on some instances
* Security improvements

= 1.4.7 =
* Fixed a php error in previous commit

= 1.4.6 =
* Fixed a js compatibility error with mootools.js
* Modified how the license page works and added plugin notifications
* Allow compatibility fix for Translation Editor on certain environments
* Fixed Safari bug with links when WooCommerce active

= 1.4.5 =
* Performance improvements
* Fixed an issue that was causing empty strings to get inserted in the database
* Improvements to detecting dynamic js strings earlier
* Fixes some urls for sitemap
* We now check if str_get_html is successful to avoid fatal error
* Fixed regular string loaded by ajax not detected in translation editor
* We now allow translating WooCommerce product base name separately from selected variations
* Fixed WooCommerce cart details not being translated when changing language
* Fixed Automatic Google Translation on languages not published yet
* Fixed Translation Editor not working in default language when no translation language is published yet
* Fixed gettext wrapping characters showing up in WooCommerce Shipping taxes metabox on Order pages

= 1.4.4 =
* Added more filters
* Make sure we do not insert empty strings in the gettext translation table
* Added support for Affiliate tracking

= 1.4.3 =
* Fixed an issue with the Language by Get Parameter add-on
* Added compatibility with WooCommerce PDF invoice and WooCommerce's order notes.
* Added stop_translating_page and before_running_hooks hooks.
* Refactored hooks-loader to easily remove hook

= 1.4.2 =
* Fixes the issue with not being able to publish pages when Use subdirectory for default language is set to yes and Gutenberg is installed
* Fixed an issue with Elementor and Use subdirectory for default language set to yes
* Fixed an issue with Yoast Premium and Use subdirectory for default language set to yes
* Fixed missing spaces in translations for original gettext strings with untrimmed spaces

= 1.4.1 =
* Added PHP 7.3 support
* Performance improvements

= 1.4.0 =
* Added Enfold compatibility by increasing the template_include hook priority
* Add the costa rica flag
* Speed improvements by optimizing the full_trim function
* Added compatibility for WooCommerce Invoices plugins
* Fixed querying for dynamic strings in Translation Editor not bringing up translations for all languages
* Fixed notice when gettext table is empty
* Added function to display strings with bad encoding in Translation Editor


= 1.3.9 =
* Fixed some issues with url translations
* Speed improvements
* Add Javanese flag
* Fixed issue with trimming dynamic strings in our own ajax calls

= 1.3.8 =
* Speed improvements
* Remove notices from Editor when we don't have translation languages
* Fixed notices with referrer in translator machine
* Fixed issues with urls in other languages
* Fix issue of nested gettext resulting in unwanted characters
* Strip gettext tags from urls run through sanitize_title and esc_url
* Set caching calls non-persistent. Doesn't work with object caching otherwise
* Set lang attribute in html tag all the time including when on default language
* Refactored the way we are translating json
* Fixed issue with Woocommerce ajax calls

= 1.3.7 =
* Fixed an issue with Woocommerce and redirects when the default language is not English
* Speed improvements
* Fix relative url without a trailingslash not getting a proper link back
* Add ?trp=edit-translation=preview to ajax loaded content. Also add it to all dynamic content.
* Added language code column in settings
* Removed async false from JS translate-dom-changes

= 1.3.6 =
* Refactored the get_url_for_language() function which should fix a lot of problems with links
* Speed improvements
* Fixed translation block icon when creating a new block
* Fixed issues with trp tags leftovers in html
* Fixed issues with gettext strings that weren't detected correctly
* Add support for relative url's
* Added warning in settings about controlling costs of Google API
* Changed API key field description. Added feature to show/hide API key field based on Google Translate Active Yes/No
* Fixed Translated-dom-changes string not translated through trp-ajax.
* Fixed 400 errors in GT API

= 1.3.5 =
* Fixed translation problems introduced in the last two versions
* Added a console message when trp-ajax request uses fall back to admin ajax for debugging purposes.

= 1.3.4 =
* Fixed issue with options in select tag that were not translatable
* Fixed force language in custom links
* Fixed Woocommerce links fpr products or categories that were added by the user manually in a page
* Added Settings link to the list of links displayed on Plugins page
* Fixed issue with Kazakhstan flag

= 1.3.3 =
* Fixed issue with Woocommerce ajax strings that were broken in editor on default language in some cases
* Speed improvements

= 1.3.2 =
* Speed improvements
* Add support for the Ginger – EU Cookie Law plugin
* Add support for data-no-dynamic-translation attribute that skips dynamic strings from being translated by dom changes detector
* Fixed Edit Pencil icon css in Translation Editor for some sites
* Refactored the way we add trp-gettext tag. This should have a lot of benefits in compatibility with other plugins
* Optimized block translation detection
* Added caching to trp_x function when reading external .mo files
* Fixed issue with TP icon css that was broken on wpforms forms
* Added secret page for removing duplicate rows from database: wp-admin/admin.php?page=trp_remove_duplicate_rows

= 1.3.1 =
* Fixed Woocommerce translation of permalinks
* Added support for remove_accents to be based on default language when called from the sanitize_title function
* Added support for translating JSON found in custom ajax request
* Added better REST compatibility
* Added compatibility for Peepso plugin
* Fixed broken link to google translate set up api key on settings page
* Corrected flags for Arabic and Bengali languages
* Fixed issue with multiple slashes being added when the URL had extra get parameters

= 1.3.0 =
* Added support for word trim when the default language is japanese, chinese or thai.
* Exluded wp_trim_words funtion from our gettext filter to prevent som issues
* Fixed an issue with gettext inside attributes that passed through the wp_kses function.
* Fixed issues with the Customizer
* Added padding to the language switcher image so we don't conflict with themes that add extra padding to images inside links
* We no longer remove \r \n \t from the translation
* Fixed issue with title attribute that contained html
* Added a filter to all href attributes detected on our translation page
* Added a notice to inform admins of the missing mbstring php library
* We now send all error logs to debug.log
* Added cite and blockquote as top_parents for merge rule on Translation blocks
* Fixed nonce accidentally being passed through internationalized function

= 1.2.9 =
* Rearranged and renamed some languages in the options dropdown
* Fixed flag of Khmer language
* Added Automatic Language Detection notice and included it on add-ons page
* Fixed an issue with WooCommerce checkout and Stripe Gateway
* Fixed issues with some improper responses from the WP Remote API functions
* Fixed minor issues with ajax

= 1.2.8 =
* Added a lot of hooks in the translation manager interface so other people can insert new content there.
* We now take into account the presence of www or lack of it in custom links that might be local
* We now make sure we're not changing the locale in the backend if the language order is different.
* Fixed issue with incorrect language adding in the backend that caused notices in the front-end
* Removed obsolete function add_cookie
* Fixed trailingslashit over get_permalink in url-converter
* Removed adding cookie from php. Fixed enqueue_styles on license and add-ons tabs. Removed deprecated function.

= 1.2.7 =
* Added a warning when changing the default language that it will invalidate their existing translations
* Fixed incorrect detection of the form action language parameter
* Improved compatibility with themes and plugins that use object buffering
* Fixed some issues with image urls

= 1.2.6 =
* Refactored determining language, redirecting and cookie adding
* Removed leftover trp-gettext tags when WooCommerce is active on some pages
* Fixed get_url_for_language function that was having problems in some cases.

= 1.2.5 =
* Fixed DOM changes script not being enqueued anymore

= 1.2.4 =
* Refactor the shortcode language switcher so it's now HTML similar to the floater
* Added link to Appearance -> menus in Settings page
* Fixed language redirect with permalinks so custom parameters are passed correctly back to the url
* Do not load dynamic string translation for IE11 and older

= 1.2.3 =
* Fixed back-end css style not being targeted only for TP Settings page
* Add filter to not remove detected dynamic strings until the ajax is finished
* Fixed data-no-translation not taken into account in some cases of Dynamic strings
* Fixed translated slug not being included in url sometimes
* Fixed issue with gettext string on non visible html attr that prevented other attr from being translated
* Fixed bug with translating dom changes not working for complex HTML hierarchy
* Corrected flag for Afrikaans.
* Fixed compatibility issues with older jQuery versions

= 1.2.2 =
* Added Translation Block feature for translating multiple html elements together
* Improvement: make it possible for the SEO Addon to automatically translate page slugs using Google Translate
* Fix: using the shortcode language switcher added #trpprocessurl to the end of the url
* Fix: changing languages from a secondary language gave 404 page when the page slug was translated
* Fix: submitting a form from one page to another directed the user to the default language. Now if Force Custom Language Links is enabled the user gets directed to the correct url

= 1.2.1 =
* Extra css for the floater images so they don't brake the line in certain themes
* Fixed compatibility issue with Woocommerce cart widget
* Fix: use the siteurl when the homeurl is empty to detect the language

= 1.2.0 =
* Fix wptexturize changing characters in secondary languages
* Mini refactoring of the url_is_file() function
* Refactor get_url_for_language() to not use the global  var
* We no longer add the language path to links to actual files on the server

= 1.1.9 =
* Fix widget language switcher to take into account the new hreflang

= 1.1.8 =
* Fixed bug with Strings List appearing also in Dynamic Strings List. Also fixed bug with duplicate dynamic strings not having a pencil icon because of missing jquery_object.
* Fixed Woocommerce session storage compatibility
* Fixed language floater not opening on iPhone.
* Fixed issue with normal text nodes that were inside an element that had an atribute with gettext and did not get translated
* Replaced _ with - in hreflang and filter it
* Make force language to custom links set to yes as a default
* Remove intensive functions from inside two loops so they only happen once we detect something in js
* Decode html characters in mutation observed strings and removed stripslashes from trp-ajax.php to fix some strings added with js not being translatable

= 1.1.7 =
* Compatibility fix with Elementor Page Builder
* Added translation .pot file
* Add proper encoding for mysqli connection in our trp-ajax.php file so we fixed some translation
* Fixed infinite loop related to mutation observer on javascript strings by not re-adding detected strings again if they are similar to existing ones
* Aligned text from add-ons tab.

= 1.1.6 =
* Added support for translating Contact Form 7 alert messages
* Fixed issue with some strings containing special characters not being translatable (i.e. "¿¡")
* Fixed bug with switching languages in Editor when viewing as Logged out
* Fixed issue with broken homepage links in some themes
* Added support for RTL languages in translation editor

= 1.1.5 =
* Added support for translation blocks using the css class .translation-block.
* Added possibility to choose a different language as default language seen by website visitors.
* Updated add-ons settings page with the missing add-ons, added Language by GET parameter addon
* Fixed issue with the [language-switcher] in a post or page that broke saving the page when Yoast SEO plugin is active
* Added a plugin notification class and a notification for pretty permalinks
* Added WooCommerce compatibility tag
* Small css improvements

= 1.1.4 =
* Filter to allow adding new language: 'trp_wp_languages'
* Fixed issue with get_permalink() in ajax calls that was not returning the propper language
* Adapted code to allow language based on a GET parameter
* Fix some issues with language switcher and custom queries as well as take into account if subdirectory for default language is on
* Fixed issue with js translation that was trimming numbers and other characters from strings when it shouldn't

= 1.1.3 =
* Fix issue where the language switcher didn't work for BuddyPress pages
* Fixed issue with CDATA in post content that was breaking the translation
* Added a filter that can be activated and that tries to fix invalid html: trp_try_fixing_invalid_html

= 1.1.2 =
* We now make sure that all forms when submitted redirect to the correct language
* Fixed an issue with missing slash from language switcher
* Fixed an issue where we were not redirecting to the correct url slug when switching languages
* Fixed a possible notice inside the get_language_names function
* Fixed html breaking because of unescaped quotes in translated meta content
* Removed a special character from the full_trim function that was causing some strings to not be selectable for translation

= 1.1.1 =
* Fixed js error with startsWith method not being supported in IE
* Removed unnecessary files from select2 lib
* Improved the way we rewrite urls to remove certain bugs

= 1.1.0 =
* Implemented View As "Logged out user" functionality for translating strings that show only for logged out users
* Allow slug edit for default language
* Fixed an issue with the dropdown of translation strings when there were unsaved changes and the dropdown disconected from the textarea
* Prevent translation editor icon pencil to exit the translation iframe
* Fixed translating via the next/prev buttons that reset the position in the translation string list
* Refactor the way we are generating the language url for the language switcher when we don't have a variable available

= 1.0.9 =
* We now flush permalinks when saving the settings page to avoid getting 404 and 500 errors
* Added the current language as a class on the body tag. Ex: translatepress-en_US
* Small readme changes

= 1.0.8 =
* We now allow HTML in normal strings translations.
* Changed the way we get the default language permalinks in Woocommerce rewrites
* Fixed issues with date_i18n function
* Fixed a warning generated when there are no rewrite rules
* Fixed dynamic strings not updating the translation dropdown list.
* Fixed issues with hidden space characters that were breaking some translations
* Make sure we don't loose the trp-edit-translation=preview from url after a WordPress redirect

= 1.0.7 =
* Fixed a small bug in js regarding the translation editor sidebar with
* Fixed Language Switcher for Woocommerce product categories and product tags going to 404 pages
* Fixed issues with Woocommerce and permalinks when the default language was not english
* Excluded more functions from getting gettext wraps

= 1.0.6 =
* Added filter on capabilities to allow other roles to edit translations:'trp_translating_capability'
* Don't show php errors and notices when we are storing strings in the database
* Fixed issues with attributes that contain json content, for instance in woocommerce variations
* We no longer wrap gettext inside the wptexturize function
* We no longer wrap gettexts that appear in the bloginfo function

= 1.0.5 =
* Added possibility to edit gettext strings from themes and plugins from english to english, without adding another language. Basically, string-replace functionality.
* Support for translating text input placeholders
* We have a way of translating emails using the conditional language shortcode [trp_language language="en_US"] English only content [/trp_language]
* Fixed issues with some elements that contained new lines and \u00a0 at the start of the strings

= 1.0.4 =
* Fixed issues with the pencil select icon in the translation editor not showing up in certain cases on the button element
* Fixed issues with the pencil select icon in the translation editor not showing up in certain cases because of overflow hidden
* Fixed a issue that was sometimes causing javascript errors with certain plugins

= 1.0.3 =
* Added a conditional language shortcode: [trp_language language="en_US"] English only content [/trp_language]
* Create link to test out Google API key.
* Improvements to Woocommerce compatibility
* Fixed json_encode error that was causing js errors
* Changed 'template_include' hook priority to improve compatibility with some themes

= 1.0.2 =
* Translation interface improvements
* Fixed issues with strings loaded with ajax
* Added an addon page
* Fixed bug with gettext node accidentally wrapping another string too.

= 1.0.1 =
* Fixed incorrect blog prefix name for Multisite subsites on admin_bar gettext hook.
* Fixed Translate Page admin bar button sometimes not having the correct url for entering TP Editor Mode
* Skipped dynamic strings that have only numbers and special characters.
* Fixed order of categories in Editor dropdown. (Meta Information, String List..)
* Fixed JS error Uncaught Error: Syntax error, unrecognized expression

= 1.0.0 =
* Initial release.
